# Hurricane Documentation

# Hurricane VLSI Database

List of all members | Public Member Functions
Hurricane::Point Class Reference

Point description (API) More...

## Public Member Functions

| Point ()
| Point (const DbU::Unit &x, const DbU::Unit &y)
| Point (const Point &point)
Point & | operator= (const Point &point)
bool | operator== (const Point &point) const
bool | operator!= (const Point &point) const
void | setX (const DbU::Unit &x)
void | setY (const DbU::Unit &y)
Point & | translate (const DbU::Unit &dx, const DbU::Unit &dy)

## Detailed Description

Point description (API)

## Constructor & Destructor Documentation

## ◆ Point() [1/3]

Hurricane::Point::Point | ( |  | ) |

Default constructor.

## ◆ Point() [2/3]

Hurricane::Point::Point | ( | const DbU::Unit & | x,
|  | const DbU::Unit & | y
| ) |  |

Creates the point defined by x and y coordinates.

## ◆ Point() [3/3]

Hurricane::Point::Point | ( | const Point & | point | ) |

Copy constructor.

## Member Function Documentation

## ◆ operator=()

Point & Hurricane::Point::operator= | ( | const Point & | point | ) |

Assignment operator.

## ◆ operator==()

bool Hurricane::Point::operator== | ( | const Point & | point | ) | const

Equality operator.

## ◆ operator!=()

bool Hurricane::Point::operator!= | ( | const Point & | point | ) | const

Difference operator.

## ◆ setX()

void Hurricane::Point::setX | ( | const DbU::Unit & | x | ) |

inline

Modifies point abscissa.

## ◆ setY()

void Hurricane::Point::setY | ( | const DbU::Unit & | y | ) |

inline

Modifies point ordinate.

## ◆ translate()

Point & Hurricane::Point::translate | ( | const DbU::Unit & | dx,
|  | const DbU::Unit & | dy
| ) |  |

Translates the point of dx and dy.

The documentation for this class was generated from the following files:

- Point.h
- Point.dox